summaryrefslogtreecommitdiff
path: root/t/distcheck-override-infodir.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/distcheck-override-infodir.sh')
-rwxr-xr-xt/distcheck-override-infodir.sh61
1 files changed, 61 insertions, 0 deletions
diff --git a/t/distcheck-override-infodir.sh b/t/distcheck-override-infodir.sh
new file mode 100755
index 000000000..746b5f859
--- /dev/null
+++ b/t/distcheck-override-infodir.sh
@@ -0,0 +1,61 @@
+#! /bin/sh
+# Copyright (C) 2011-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Check that we can override ${infodir} while having distcheck still
+# working. Related to automake bug#9579.
+
+required='makeinfo tex texi2dvi install-info'
+. ./defs || Exit 1
+
+cat >> configure.ac << 'END'
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+infodir = ${prefix}/blah/blah/foobar
+info_TEXINFOS = main.texi
+## Sanity check.
+installcheck-local:
+ if test x$${infodir+set} != xset; then \
+ ls -l "$(DESTDIR)$(prefix)/blah/blah/foobar/" || exit 1; \
+ test -f "$(DESTDIR)$(prefix)/blah/blah/foobar/dir" || exit 1; \
+ else \
+ ls -l "$(DESTDIR)$$infodir/" || exit 1; \
+ test -f "$(DESTDIR)$$infodir/dir" || exit 1; \
+ fi
+END
+
+cat > main.texi << 'END'
+\input texinfo
+@setfilename main.info
+@settitle main
+@node Top
+Hello walls.
+@bye
+END
+
+$ACLOCAL
+$AUTOMAKE -a
+$AUTOCONF
+
+./configure
+$MAKE
+
+$MAKE distcheck
+infodir="`pwd`"/_info $MAKE -e distcheck
+test -f _info/dir || Exit 99 # Sanity check.
+
+: